accountcreator user group to be granted by sysops on Wikimedia Incubator
Closed, ResolvedPublic

Description

Discussion here: https://incubator.wikimedia.org/w/index.php?title=Incubator:Community_Portal&oldid=4102066#Account_creator_flag_and_workshops

Please configure Incubator to make Sysops have the right to grant and remove this flag. (The discussion mentions bureaucrats, but all 'crats on Incubator are sysops by policy, so granting/removing this flag does not have to be put separately in the 'crat user rights.) For clarity: Sysops will continue to have the right "noratelimit" as part of the administrator toolkit.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2017, 3:19 PM
MF-Warburg renamed this task from Account Creator user group to be created on Wikimedia Incubator to accountcreator user group to be granted by sysops on Wikimedia Incubator.Jul 26 2017, 3:23 PM
MF-Warburg updated the task description. (Show Details)
MarcoAurelio triaged this task as Low priority.
MarcoAurelio added a subscriber: MarcoAurelio.

Permission already exists, so the only thing to do is to grant somebody the
permissions to add/remove this. I take this.

See, I don't know enough about the inner workings to have known that. Thanks to all for fixing this.

Change 368164 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Incubator sysops to add/remove 'accountcreator'

https://gerrit.wikimedia.org/r/368164

I added it to the bureaucrat group instead given that all sysops are bureaucrats there, so it was just adding a line to the already existing code. Works for you? I have no problems on modifying the patch if you really want non-bureaucrat sysops to grant this. Regards.

Change 368164 merged by jenkins-bot:
[operations/mediawiki-config@master] Incubator bureaucrats to add/remove 'accountcreator'

https://gerrit.wikimedia.org/r/368164

Mentioned in SAL (#wikimedia-operations) [2017-07-27T19:07:53Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: T171751 (duration: 00m 46s)

MarcoAurelio closed this task as Resolved.Jul 27 2017, 7:10 PM
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.

Done.